Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000183openvibe-pluginspatch submissionpublic2016-11-28 10:422016-12-07 12:49
Reportertoncho11 
Assigned Tojtlindgr 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOpen Vibe 1.2OSOS Version
Summary0000183: Fix to Brainamp FileWriter
DescriptionA bug has been detected. Sometimes the bignning of the .vmrk file is not written, only the list of the stimulations.
Additional InformationCode attached.
TagsNo tags attached.
Attached Fileszip file icon ovpCBoxAlgorithmBrainampFileWriter.zip [^] (6,134 bytes) 2016-11-28 10:42

- Relationships

-  Notes
(0001225)
jtlindgr (administrator)
2016-11-28 10:54


Thanks! I'll take a look.

(0001226)
toncho11 (reporter)
2016-11-28 11:57

The attached code is a patch that fixes the problem.
(0001228)
jtlindgr (administrator)
2016-12-05 11:35

Hi, the 'bug' is a result of some upstream box not generating a stimulation stream header. This should be fixed by changing the upstream boxes to always generate a stimulation stream header. Streams should always have a header sent first.

Note that currently the marker file does not seem to be generated if stimulation stream is not connected. Is this acceptable for the format in question?

Nevertheless, I accepted the patch as it appears to make the box more robust.

git commit 3027682c122b834791cdad54fbf50580811b4ba1

Thanks for the contrib.
(0001229)
toncho11 (reporter)
2016-12-05 12:21

I agree with your conclusions (but I could not make the upper box output a header).

Currently the .vmrk file is always created. So, it is better to execute :

if (!m_bIsVmrkHeaderFileWritten)
           ...

outside the loop, otherwise the file will be empty when there are no stimulations.
(0001230)
jtlindgr (administrator)
2016-12-07 12:49

git dbbc627be9a7b1d16039dcb4ae85eb9ed0389589

- Issue History
Date Modified Username Field Change
2016-11-28 10:42 toncho11 New Issue
2016-11-28 10:42 toncho11 File Added: ovpCBoxAlgorithmBrainampFileWriter.zip
2016-11-28 10:54 jtlindgr Note Added: 0001225
2016-11-28 10:54 jtlindgr Assigned To => jtlindgr
2016-11-28 10:54 jtlindgr Status new => acknowledged
2016-11-28 11:57 toncho11 Note Added: 0001226
2016-12-05 11:35 jtlindgr Note Added: 0001228
2016-12-05 11:35 jtlindgr Status acknowledged => resolved
2016-12-05 11:35 jtlindgr Resolution open => fixed
2016-12-05 12:21 toncho11 Note Added: 0001229
2016-12-05 12:21 toncho11 Status resolved => feedback
2016-12-05 12:21 toncho11 Resolution fixed => reopened
2016-12-07 12:49 jtlindgr Note Added: 0001230
2016-12-07 12:49 jtlindgr Status feedback => resolved
2016-12-07 12:49 jtlindgr Resolution reopened => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker